//
//  CopaView.m
//  Dibujar
//
//  Created by Santiago Pavón on 13/12/12.
//  Copyright (c) 2012 UPM. All rights reserved.
//

#import "CopaView.h"

@implementation CopaView

- (void) setup
{
    NSLog(@"Configurando");
    
    self.opaque = NO;
}

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        [self setup];
    }
    return self;
}

- (void) awakeFromNib
{
    [super awakeFromNib];
    [self setup];
}


// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    UIBezierPath *path = [UIBezierPath bezierPath];
    
    [path moveToPoint:CGPointMake(10, 10)];
    [path addArcWithCenter:CGPointMake(90, 10)
                    radius:80
                startAngle:M_PI
                  endAngle:M_PI_2
                 clockwise:NO];
    [path addLineToPoint:CGPointMake(95, 180)];
    [path addLineToPoint:CGPointMake(40, 200)];
    [path addLineToPoint:CGPointMake(170, 200)];
    [path addLineToPoint:CGPointMake(115, 180)];
    [path addLineToPoint:CGPointMake(120, 90)];
    [path addArcWithCenter:CGPointMake(120, 10)
                    radius:80
                startAngle:M_PI_2
                  endAngle:0
                 clockwise:NO];
    [path closePath];
    
    path.lineWidth = 3;
    
    [[UIColor magentaColor] setStroke];
    [[UIColor cyanColor] setFill];
    
    [path fill];
    [path stroke];
}



@end
